Overview

Overview - What is Babylon?

Babylon is a program that provides on-screen information @ a click in all Windows applications.

Using Babylon you can search and receive precise, up-to-date information on any topic that interests you. Receive only the information you want from your list of glossaries (in MyList), pre-chosen and selected from our Babylon Index according to your interest categories.

Babylon automatically recognizes the word, expression or value you point your mouse at, regardless of which application displayed the word, and where it has appeared on your screen. You can get glossary definitions for words, convert currency, measurements and times, and even hear the correct pronunciation of the word you searched, all according to what you have clicked on or entered in the Babylon search box.


Getting Started

Once Babylon is activated, and you can see the Babylon icon in your system tray, you can use Babylon Tool to search for information with a single click - point your mouse cursor at any word expression or number shown on your screen and click on it using your Babylon configuration. When you click on a word Babylon Find Window will pop-up. When you click on a number, the Babylon Conversion Window will pop-up.

Another way to activate Babylon Tool is to click on any empty space on your screen. This will immediately open the Babylon Search Window. Type in your word, expression, or value in the Search Box. Press "enter" or click go to receive results.

You can view or change Babylon Tool's default settings from Babylon Menu. Right click the blue Babylon icon in the system tray, or click on the "menu" icon from Babylon Tool and choose "configuration".


Registration to Glossaries

Register to Glossaries

It is recommended to register to glossaries when you start using the Babylon Tool. The registered glossaries will always be the first glossaries checked by Babylon each time you look up a word. This way, your first results will always be from the glossaries you have hand-picked for your own Babylon personal glossary database.

There are two ways to register to a glossary:

  • Subscribe - Register to glossaries for on-line use only. If you wish to work off-line you must download the glossary. Because the look-up takes place on-line, it will take you longer to receive results.

  • Download - Register to glossaries for both on-line and off-line use. The glossaries will be downloaded to your hard disc. The results you receive from these glossaries will be immediate.


Search

Find Mode

The default mode of Babylon is find. When you click on any empty area on your screen this mode will pop-up. Then you can type your search entry in the Search Box to initiate the search.

Babylon will first search in the registered glossaries that are active in My List. In addition, unregistered glossaries will also be searched (if you are on-line), once you click on the "more results" link, that will appear at the bottom of the search result window. The names of the glossaries in which results were found, will appear in the Glossary Results Bar.

For information on additional aids click here .


Search Box

Babylon Search Box

The words or expressions you click on will appear in the Search Box. Another way of using the Search Box is to activate Babylon, then type in your search entries- words, expressions or values.

Once the search has been made, you can search again by typing over your current search entry and pressing "enter". You can also view your last search entries by pulling down the menu next to the search box.


WebSearch

This option is for searching for information in the World Wide Web. To access the Web Search Menu - click on the arrow icon right of the search box and choose your preferred reference site or search engine. Your selection will remain as default until you choose other-wise. To search, click on the magnifying glass icon.


Result Window

Viewing Results

In this window the results of your search are displayed. Scroll through the results using the scroll bar on the right side of the window.

You can also jump to a specific glossary result by opening the Result Glossary Bar and clicking on any glossary name from the list.


More Results

When you are on-line you can search for additional results in all the glossaries available from Babylon website. To receive more matching results for your search entry, click on the "more results" button when shown at the bottom of the result window. After searching the Main Index, Babylon will add the additional results to the Result Window.


Possible Corrections

If no matches were found for your search, it might mean that you misspelled the word you were looking for. Babylon can offer you possible corrections to your search entry. This option is available only if you are searching in dictionaries or glossaries that are installed for offline use. When you see a "corrections" link at the bottom of the Result Window, click on it to get the list of corrections.


Glossary Menu

By clicking on a glossary header from the result window, you open its glossary menu . The following options are available from this window :

  • Information - When chosen for a registered glossary this option will pop you to the glossary info in "MyList". When chosen for an unregistered glossary you will be taken to the glossary template on the Babylon website.

  • Rate - Give the glossary a rate between one and five stars.

  • Download - Download the glossary for offline use.

  • Suggest a Word - Send suggestions for new entries or improvements of exisiting definitions to the glossary builder (this option is available only online).

  • Recommend Glossary - Send a recommendation about the glossary (this option is available only online).

  • Write to Author - Send a personal message to the builder of this glossary. (available only online)


Glossary Bar

Glossaries Result List

To open the glossary result list, click on the arrow left of the search box. This list shows the glossaries in which Babylon found results to your latest search. Each time you search you can choose from which registered glossaries you wish to get results, by activating and deactivating them in MyList. These settings will be effective for future searches until you change them again.

To switch between the results from the various glossaries, click on the glossary name or icon from this glossaries result list. The result window will bring you to the search result from the glossary you selected.


Copy & Paste

You can copy separate words from the Babylon result window to Windows Clipboard. To copy a word, click on it using the same combination you use for searching in Babylon. When you click on the word, it is automatically copied (no need to mark it or use ctrl+c). After that you can paste these words to any other Windows application.

You can also save complete definitions using Babylon "Save-it!" mode.

Marking a word in Babylon result window with the left mouse button, will not allow you to copy it, but will search for the new word in Babylon.


Resize

If you wish to to resize your screen, drag the frame of the Babylon Window (from anywhere except the bottom of the Result Window). By dragging the left side of the frame you are resizing the Glossary Bar, while dragging the right side will resize the Result Window. Dragging the middle bar between the two, will cause the proportions between them to change.

Clicking the square icon from the bottom right hand corner, will restore the screen to it's default size.


Connection Status

There are two modes of searching in Babylon : online and offline. To switch between online or offline modes, click on the revolving Babylon icon at the top left corner of the result window. This icon also display your connection status, as shown in these modes:

  • Green - Online. You will get results from all your registered glossaries (both installed and subscribed) as well as from unregistered glossaries.

  • Red - Offline. You will get results only from downloaded registered glossaries.

  • Moving - Recieving. Babylon is connecting to the web server to get results from subscribed glossaries or from unregistered glossaries.

  • Yellow - Connection Failed. Babylon was unable to connect to the web server.

If the icon is yellow, it may indicate one or both of the following :

1. Babylon's server is offline or overloaded. Please try searching again later.

2. Your connection settings are not configured properly. You can check these settings by choosing "Configuration > Connection" from the menu.


Babylon Converter

This unique feature of Babylon Tool converts currencies, time and measurements with a single click. When you click on a number shown on your screen Babylon's converter window will pop up.

From this window you can select various conversion parameters.You can make additional conversions by typing other numbers in the source unit input box.

When you want to go back to the "Find" window, you can enter a word or an expression in the source unit box. Pressing enter will start the search for this word in the "Find" window.


Conversion Parameters

You can choose the parameters you need to convert (currency, measurements or time) from the category pull-down menu at the bottom left side of the conversion window.

Each category is divided into sub-categories that allow you to select the source and target units:

  • Currencies: By abbreviation (USD - US Dollar), By Country name (United States - Dollar), and by currency name (Dollar, US).

  • Measurements: Convert everything - Farenhite temperatures to Celsius, Pounds to Kilograms, Miles to Kilometers, Liters to Gallons and many more. Select the sub-category from the pull-down menu, and choose your units for conversion.

  • Time: Just click on the timer in your system tray to see what time it is all over the world. You can either convert by time zones (GMT, PST, etc.), or by local times (United Kingdom, Los Angeles, etc.)


Your Glossaries

MyList

This Window stores the list of glossaries you have registered to. When Babylon is activated, the glossaries in Mylist that are active will be searched first for matching results. To access your glossary list, click on the "MyList" icon from Babylon main window.

The list of registered glossaries ,or the Glossary Bar, is on the left side of the window, while on the right, in the Glossary Profile Window, you can view more details on each of the glossaries.

This list of glossaries can be modified from this window at any time.

Click here for an overview of MyList mode

1. The order of the glossaries displayed in this window, is the same order in which you will receive your results. Change the order of the glossaries by dragging them along the Glossary Bar.

2. The glossaries in bold are downloaded while the ones that are not in bold are just subscribed to. To learn how to download subscribed glossaries, click here.

3. The check box indicates that the glossary is activated. To learn more about activating and deactivating glossaries, click here.

4. You can sort your registered glossaries to different folders. Each folder is marked with a small triangular icon. You can expand the folder tree to view all the glossaries in a certain folder by double clicking on the folder name.


Glossary Registration

By subscribing to glossaries according to fields of interest, you ensure that the first results you get for every search, will contain the information that you are looking for. To customize a search, you can limit the glossaries that are activated to those related to the specific search subject (for example) If you want results that are only related to Sports, you would leave just the Sports related glossaries active and disable your translation dictionaries.

You can register to Babylon Glossaries from the following locations :

  • From Babylon's Web-site: Search the Index and download and/or subscribe to your choice of glossaries. You can access Babylon Index directly from Babylon Menu by choosing "Glossary Options > Add from Babylon Index."

  • From Your Babylon Tool:

  1. From Find: For each search you make online, Babylon suggests more results from Babylon Index. When you see the "more results" link from the Result Window, click on it to receive additional results from glossaries relevant to your search. Click on the "add glossary" icon [image] from the glossary header and choose to download or to subscribe to a particular glossary.

  2. From MyList Mode you can download glossaries you are subscribed to. Click on the glossary you wish to download from the Glossary Bar on the left. In the Info Window click on the download button . If this icon is grey, it means that you have already downloaded the glossary.

If you wish to use Babylon for offline searches, you must download the glossary or dictionary you wish to search in. You can do so in three ways:

  1. Download any of the available glossaries from Babylon Index

  2. When searching online and receiving a result from a glossary or a dictionary you wish to download, click on the "add glossary" icon [image], or click on the glossary header and choose "Download".

  3. If you wish to download a subscribed glossary, click on the "download" button from the info screen in "MyList" window.


Organize Your Glossaries

  • Activating & Deactivating Glossaries

  • Add/Remove Glossaries

  • Sorting your Glossaries

1. Activating & Deactivating Glossaries -

Each time you search Babylon, you can choose from which glossaries to get results by activating or deactivating specific glossaries.

When a glossary is activated you will see the red square next to it checked. To deactivate a glossary, click on this square and uncheck it. Reactivate the glossary by checking the empty square again.

You can also activate and deactivate glossaries from the right-mouse-button menu when you right click on any glossary from MyList and choose "status".

2. Add/Remove Glossaries

  • To remove glossaries from MyList, right click on the glossary you want to delete from the Glossary Bar and press "delete". You can also delete by clicking on the glossary and deleting from your keyboard.

  • Add glossaries from the Index - to learn more go to Glossary Registration.

3. Sorting Your Glossaries -

You can sort your registered glossaries using filing folders.

To Create a new Folder:

  • Right click anywhere in the Glossary Bar in MyList, and choose "new folder" from the menu.

  • Type a name for the folder. You can re-name your folder by pressing F2 from your key-board

  • When the folder is closed it will be displayed with [image] next to it. To view the glossaries filed in it, you can expand the folder by double clicking on it.

  • To File your glossaries in the Folder you created, drag your glossary under the folder you wish to have it filed. You can move the folders themselves in the same manner.

  • You can change the order in which the glossaries are displayed simply by dragging them along the glossary bar. This also determines the order in which the search results are displayed in "find" .


Your Glossaries Info

Glossary Profile Window

Details on registered glossaries can be viewed from the Glossary Profile Window in MyList. Just click on the glossary you wish to view from the Glossary Bar on the left. Information on a glossary includes - Author's name, Number of definitions, glossary description, last update, glossary file size, rating, and description.

  • Download - If you have not downloaded this glossary, you have the option of doing so by clicking on the "download" button. This option is available only online.

  • Index - Choosing this option will take you to Babylon website where you can search for more glossaries.

  • Recommend to a friend - Click on this icon to send a recommendation about a certain glossary.

  • Rating - To rate the glossary yourself click on this icon and give your rating of 1 to 5 starts. In the glossary info itself you will be able to view 3 kinds of rating: users rating, popular rating determined by number of downloads, and Babylon's rating.

  • Mail - Send your comments to the builder of this glossary. This option is available only online.

  • Last Update - The last date when the glossary was updated by the builder.

  • Size - How big is this glossary? Smaller glossaries are easier to download for off-line use while larger glossaries will usually have more comprehensive definitions.

  • Glossary Description - A general explanation about the content of the glossary.


Enabling "Save-it"!

Enabling "Save-It!"

"Save-it!" lets you save complete definitions you recieve when you search Babylon. You can review these saved items at any time to create your own vocabulary lists, save them to files and edit them.

You can activate the "Save-it!" mode from the configuration menu:

1. Open Babylon menu.

2. Choose "Configuration > Find" from the menu.

3. Check the option - 'Show Save-It Buttons'.

4. Confirm with "Ok".

The next time you get search results from Babylon, you will see an additional "push-pin" icon.

Clicking on the push pin will save the result to the "Save-it!" window.

You can now switch to the "Save-it!" window to view the saved results, by clicking on the "Saved" icon.


Using Post-It

"Save-it!" Window

Once you click on the "Save-it!" icon you can see all the items that you saved using "Save-it!". The definitions you saved can be viewed in the "Save-It" window, which is split into two sections, similar to the "Find" window:

  • Right side - The saved items window

  • Left side - The saved word list. Clicking on any one of the words in the list will pop the saved definitions onto the right part of the window.

You can also clear the list of saved words by pressing the "Delete all" button.

To View Your Saved Definitions:


Text-To-Speech

Say-it!

The Say-it! add-on enables you to hear the English pronunciation of words or phrases you click on or enter in the search box. This option is available only if you have a sound card installed on your computer.

The Say-it! feature is an add-on that has to be downloaded and installed separately, and is available from Babylon Features page. When downloading, you can choose to install either a male or female voice. The Say-it! voice and pronunciation can be changed from Babylon Configuration Menu under "Voice".

To hear the word or phrase, just click on the "say" icon located next to the search box. The same icon can appear on each definition header in the result window. To learn how to activate this option after you have downloaded, click here.

Download Male Voice

Download Female Voice


General

Do not forget to confirm your selections by clicking OK before leaving this window.

  • Launch Babylon on Windows StartUp - Uncheck this option if you don't want Babylon to start automatically when you restart your computer.

  • Always use last user-defined window size - Babylon window will always open in the size you choose and not in it's default size.

  • Minimize window when mouse moves - After reviewing a search result in Babylon window, the results screen will automatically minimize itsefl when you move the mouse.

  • Security- Certain results in Babylon may contain embedded or attached files. You can define file types that will pop-up a warning before being displayed in Babylon.


Find

Do not forget to confirm your selections by clicking OK before leaving this window.

  • To Activate Find - Select the mouse setting you wish to assign to Babylon. If you choose to activate Babylon with your right mouse button, you will be able to access the regular Windows right-mouse-button menus by clicking on "shift" with the right mouse button click. You can also select a mouse button with a keyboard key.

  • Target Languages - Mark the languages in which you wish to receive your results when you search the Babylon Index.

Note: This options refers to results you get only after using the option "more results".

  • Display results one at a time - Check this box to configure your Result Window to view the search results one by one using the arrows left of the scroll bar. Do not forget to click on "OK" before leaving the configuration window.

  • Show 'Save It' buttons - Check this box, to enable the Save-It mode. You will see the Save-It mode icon on the main tool bar, and an additional push pin icon next to each definition you get in the result window. Learn how to use this mode.

  • Show additional glossary buttons - Check this box to enable additional functions to each definition in the result window: "say it", minimize result, close result.

  • Size of 'Recent Searches' list - This menu determines the number of last searches you will be able to view from the search box pull down menu in the Find Mode.


Appearance

Babylon uses your system default fonts to display all the text in the application windows - the menus and the tool bars, the glossary and dictioanry titles, and the search results.

You can select a different font to be used for each and every langauge you use in Babylon. Your slections in this menu are saved automatically (even when the langauge lists is showing the default langauge again).

Do not forget to confirm your selections by clicking OK before closing this menu.


Connection

In this screen you can configure your connection to Babylon server and enable Babylon AutoUpdate feature.

Do not forget to confirm your selections by clicking OK before leaving this window.

  • Internet Connection Type: Choose the type of your internet connection, for online searches, glossary updates, conversion rates and software upgrades of Babylon 3.1.

- Dial-up service (modem) - If you are connecting using a telephone line connection to an ISP.

- Network Connection (LAN) - If you are connecting through a local network, in an office, company or other internal environments.

  • Proxy Setting: Applicable only when using a proxy server or a firewall to connect to the internet:

- Use Automatic Proxy Settings - When you first try to connect to Babylon server, Babylon will attempt to read your connection settings from your web browser, so you will not need to configure your settings manually.

- Connect through Proxy/Firewall Server - This option lets you configure the server address and port you will use for communicating with Babylon online. Babylon uses the standard HTTP port (80) to connect to our servers, and there is no need to enable other ports on your server.

- Remember password for authentication proxy - Check this option if your proxy servers requires entering a usrename and password when connecting.

  • Glossary Updates:

Please note: These options regard ONLY glossary and dictionary updates. Whenever you connect to the internet, Babylon also checks for new version upgrades and updated currency rates, even when these options are not active.

- Enable online Updates - This option enables Babylon AutoUpdate feature. Whenever you connect to the web, Babylon will automatically check for glossary updates. This option regards only glossary and dictionary updates.

- Update Automatically - Checking this option will download and install available glossary and dictionary updates, as soon as they become available from Babylon servers.

If you do not enable this option, Babylon will alert you when there are available updates with a blinking icon in your system tray. You will be able to download those updates by double clicking on the blinking icon.

This option is available only after checking the 'enable online updates' option.


Voice

Do not forget to confirm your selections by clicking OK before leaving this window.

Voice Options:

  • Language - Currently the only language available from babylon.com for the text-to-speech feature is English. If you have previously installed TTS engines in other languages, Babylon will automatically attempt to detect them and will allow you to choose other languages as well.

  • Voice - Select the voice for the text-to-speech feature.

  • Speed - Select the speed of the text-to-speech voice.


Glossary Options

Add from Babylon Index

This option takes you to Babylon's Index in Babylon web site, where you can search for more glossaries to register to.


Open Babylon Builder

Using Babylon Builder you can create your own glossaries. If you have installed Babylon Builder on your computer, this will launch the program. If you do not have the Babylon Builder installed, choosing this option will launch the web browser and take you to Babylon website, where you will be able to download Babylon Builder and register in Babylon Author's Area as a Glossary Author.


Install From Disk

If you have any Babylon Glossary files saved on your local drive - glossaries that you have created, downloaded or recieved from other glossary authors - use this option to install them in Babylon. Simply select the glossary file and Babylon will automatically run a short installation process which will enable you to use the glossaries.


Menu Language

This option enables you to choose the language in which all the menus and message updates will be displayed. The default language is the one chosen and used during the installation process. The chosen menu language is checked on the list.


Recommend Babylon

If you like using Babylon, send a recommendation about it to your friends. You can write a personalized message or use the default ready-made one.


Upgrade Babylon

You can choose this option at any time to check for new software upgrades, dictionary and glossary updates, and new currency rates.

Babylon will try to establish a connection to our server, and if there is a new update available, will ask you to download it.

If Babylon can not establish a direct link - either because our servers are offline or overloaded, or because your communication was blocked on your side, your web browser will be launched and you will be able to download any available software upgrade available.

If the direct connection can not be established it will not be possible to download from our website dictionary and glossary updates, or updated currency rates from Babylon website.


Send Us Feedback

If you have any comments or suggestions, or if you need technical assistance from our support center, use this option to send us a message.


Babylon Forums

Babylon Message Board

This option will link you to the Message Board on Babylon's website, where you can read messages posted by Babylon users world-wide, and post your own messages.

Anyone can post messages in our forums, and you don't need to register. This message board is administered by Babylon staff, for proffesional technical assistance, and for first hand reviews from Babylon users.


What's New

Read about the latest new releases from babylon.com in this section of Babylon Website.


Help

  • Contents - launches this Help File.

  • About Babylon - Shows you the current version and build of Babylon you are using.

  • Registration - You can update your registration details with Babylon. Submitting the form will update your details on Babylon servers the next time you are on-line.


Main Menu

Disable

Disable frees up the assigned mouse button for non-Babylon work, and changes the icon color from blue to gray. The Disable option switches to Enable when you click on it, and vice versa.

A click on Enable restores the previously assigned mouse button to re-activate Babylon, and turns the icon color from gray to blue.


Purchase Babylon Pro

Babylon is a time limited program. Once your trial period is over Babylon will become disabled. You can purchase a license for the full version "Babylon Pro" from our website. After you complete your purchase you will recieve by e-mail the license code for Babylon Pro. Choosing this option will allow you to register your version and use all the features of Babylon Pro.


Comment on Your Glossaries

"MyList" commands

"MyList" window offers more options to manage your registered glossaries, with interactive features planned to help you, the user, improve the services provided by Babylon.

  • Download - Download a subscribed dictionary or glossary for offline use, without going thorugh our website. Babylon will install the downloaded file automatically when the download is finished.

  • Index - Visit Babylon Index in our website (http://www.babylon.com), and search for more glossaries.

  • Recommend - Recommend Babylon to a friend. Enter the recipient's e-mail address and if you wish add a personal comment on the glossary.

  • Rate - Cast your vote and tell all the other users your opinion about a glossary. Click on the "Rate" icon and choose how many Babylon stars this glossary should get on a 1 to 5 scale - 1 being the worst and 5 being the best.

  • Mail - Contact the glossary builder and send him your comments about the glossary - suggestion for new entries, improvement for existing definitions, or a general feedback. These comments will be sent to the secured Builders Area in Babylon website, where the glossary builder will be able to review them.


Exporting "Save-it!" items

From the "Save-it!" window you can store the saved items as files to your local drive.

Click on the "save" icon above the saved results list [put icon here]. Choose the direcotry of folder in which you want to save your results.

You can choose to save the "Save-it!" items in three file formats: txt, html or bps (bps is a file format unique to Babylon "Save-it!").


mouse configuration

Babylon Mouse Configuration

During the installation of Babylon you will be asked to select a mouse combination to activate Babylon. This combination can later be changed through the configuration menu


Opening the Menu

You can open the menu in two ways:

1. Select the "menu" button from any Babylon Window.

2. Right-click on the Babylon icon in the system tray

(the bottom right corner of the screen)


Post-It

Save-It! Mode

"Save-It!" allows you to save definitions you got as results in Babylon Find mode, so you can view them again quickly and easily. "Save-it" saves your definitions in a separate personalized vocabulary list.

Click here to learn how to access this mode.

Learn how to save your definitions in Babylon and on your local drive.


Registered Glossaries

Glossaries that you have either downloaded for offline use or subscribed to for online use.